Package com.xebialabs.xlrelease.domain

# Class ScriptHelper

java.lang.Object
com.xebialabs.xlrelease.domain.ScriptHelper

public class ScriptHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABORT_SCRIPT_LOCATION_PROPERTY`
  `static final String`
  `HIDDEN`
  `static final String`
  `SCRIPT_LOCATION_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getAbortScript(ConfigurationItem configurationItem)`
  `static String`
  `getScript(ConfigurationItem configurationItem)`
  `static String`
  `getScript(String scriptProperty, ConfigurationItem configurationItem, String defaultSuffix)`
  `static String`
  `readScript(String path)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SCRIPT_LOCATION_PROPERTY

    public static final String SCRIPT_LOCATION_PROPERTY
    See Also:
      - Constant Field Values

  - ### ABORT_SCRIPT_LOCATION_PROPERTY

    public static final String ABORT_SCRIPT_LOCATION_PROPERTY
    See Also:
      - Constant Field Values

  - ### HIDDEN

    public static final String HIDDEN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScriptHelper

    public ScriptHelper()

- ## Method Details

  - ### getScript

    public static String getScript(String scriptProperty, ConfigurationItem configurationItem, String defaultSuffix) throws IOException
    Throws:
      `IOException`

  - ### getScript

    public static String getScript(ConfigurationItem configurationItem) throws IOException
    Throws:
      `IOException`

  - ### getAbortScript

    public static String getAbortScript(ConfigurationItem configurationItem) throws IOException
    Throws:
      `IOException`

  - ### readScript

    public static String readScript(String path) throws IOException
    Throws:
      `IOException`